<?php
// login et mots de passe pour accéder à la création d'items
$logins=array(
    "admin"=> array( // the login
        "nom"=>"administrateur", // the name (! not the login)
        "pwd"=>"admin" // the password
    ),
);

// cinfiguration générale des dossiers et descriptions des éléments
$GLOBALS=array(
    'root' => str_replace("custom","",dirname(__FILE__)),
    'definition_item' => "custom/elements/item.xml",
    'definition_selection' => "custom/elements/selection.xml",
    'titre' => "XML Collection",
    'dossier_pages' => "custom/pages/",
    'dossier_xml' => "content/xml/",
    'dossier_images' => "content/img/",
    'dossier_vignettes' => "content/vignettes/",
    'dossier_selections' => "content/selections/",
    'dossier_cache' => "content/cache/",
    
    'dossier_upload' => "upload/",
    'docs_allowed' => "jpg,jpeg,png,gif,tif,doc,pdf,zip,mp4,mp3",
    'affichage_defaut'=>'big-mosaic',
);

// - - - 
// écriture des vignettes de la partie centrale
// - - - 
function affiche_vignette($item){
    $vignette="";
    $vignette.="<li class='item clearfix noload' data-url='".$item['url']."' onclick='sidebar_action(\"".$item['url']."\");'>\n";
    $vignette.="<div class='illu'><img src='".donne_lien(_c($item,'illustration'),$l_vignette=300,$h_vignette=300,false)."' class='adapt illustration'></div>\n";
    $vignette.="<div class='info-content'>\n";
    $vignette.="<div class='titre'>"._c($item,'title')."</div>\n";
    $vignette.="<div class='descriptif'>\n";
    $vignette.= _c($item,'note');
    $vignette.=_c($item,'author',null,"<br><strong>Auteur : </strong>\n");
    $vignette.= _c($item,'publisher',null,"<br><strong>Maison d'édition : </strong>\n");
    $vignette.= _c($item,'isbn',null,"<br><strong>Isbn : </strong>\n");
    $vignette.= _c($item,'year',null,"<br><strong>Date : </strong>\n");
    $vignette.= "</div>\n";
    $vignette.= "</div>\n";
    $vignette.= "</li>\n";
    return $vignette;
}
?>